{*
*
* NOTICE OF LICENSE
*
* This file is part of blocktopviewed prestashop module.
*
* blocktopviewed is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation, either version 3 of the License, or
* (at your option) any later version.
*
* blocktopviewed is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with blocktopviewed.  If not, see <http://www.gnu.org/licenses/>.
*
*  @author Duarte Rocha <duarte.rocha@gmail.com>
*  @copyright  2013 Duarte Rocha
*  @license  http://www.gnu.org/licenses/gpl.html 
*
*                                                                                                                                                                                                                                            
* This module will present the most viewed products on the store
*
*
*}
<!-- Block blocktopviewed -->
<div id="blocktopviewed_block" class="block">
  <p class="title_block">{l s='Most Viewed Products' mod='blocktopviewed'}</p>
  <div class="block_content">
    <ul class="most-viewed">
      {if ! $most_viewed_error}
      {* DEBUG *}
        {foreach from=$most_viewed_results item=product name=loop}
          <li class="item-product
          {if $smarty.foreach.loop.first} first 
          {elseif $smarty.foreach.loop.last} last 
          {/if}
          clearfix">
            <a class="image" href="{$product->getLink()}">
              <img
                {* Legacy Images format *}
                {assign var='image_id' value="`$product->id`-`$product->id_image`"}
                src="{$link->getImageLink($product->link_rewrite, $image_id, 'small_default')}"
                alt="{$product->name|escape:'htmlall':'UTF-8'}"
                title="{$product->name|escape:'htmlall':'UTF-8'}"
              />
            </a> 
            <a class="title" href="{$product->getLink()}">{$product->name|escape:'htmlall':'UTF-8'}</a>
          </li>
        {/foreach}
      {/if}
    </ul>
  </div>
</div>
<!-- /Block blocktopviewed -->
